package ch.rakudave.jnetmap.plugins;

import javax.swing.JPanel;

import ch.rakudave.jnetmap.model.device.Device;
import edu.uci.ics.jung.visualization.control.GraphMouseListener;

/**
 * Defines a Plugin that can be displayed in IViews that implements ISidebar
 * @author rakudave
 */
public interface SidebarPlugin extends Plugin, GraphMouseListener<Device> {
	/**
	 * @return the JPanel that should be displayed in the ISideBar
	 */
	public JPanel getPanel();
	
	/**
	 * @return the title that should be displayed in the tabs-component in the ISideBar
	 */
	public String getTabTitle();
	
	/**
	 * @return the tooltip that should be displayed in the tabs-component in the ISideBar
	 */
	public String getToolTip();
}